*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

@font-face {
    font-family: 'Poppins-regular';
    src: url(./Fonts/Poppins-Regular.ttf);
}
:root{
    --primarytext-color: rgb(114, 168, 190);
    --subtext-color: rgba(143, 184, 195, 1);
    --background-color: rgba(16, 25, 32, 1);
    --headeractive-text: rgba(238, 204, 109, 1);
    --headernonactive-text: rgba(73, 108, 117, 1);
    --headerbg: rgba(16, 25, 32, 1);
    --textnonactive: rgb(42, 134, 187);
    --projectstitle: rgb(82, 150, 189);
    --transition-duration: 0.5s;
    --scale: 1;
    --scale-hover: 1.1;
    --spacing-unit: 20px;
    --font-size-base: 20px;
    --font-size-heading: 30px;
    --font-weight-regular: 300;
    --font-weight-bold: 700;
    --font-family: 'Poppins-regular', sans-serif;
}

.active{
    color: var(--headeractive-text);
}

nav ul {
    list-style: none;
    display: flex;
    gap: var(--spacing-unit);
    flex-wrap: wrap;
}

nav ul li a {
    display: inline-block;
    text-decoration: none;
    font-weight: var(--font-weight-bold);
    color: var(--primarytext-color);
    transition: color var(--transition-duration) ease, transform var(--transition-duration)ease;
    font-family: var(--font-family);
}

nav ul li a:hover {
    color: var(--textnonactive);
    transform: scale(var(--scale-hover));
}

header {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    padding: var(--spacing-unit);
    width: 100%;
}

.textleft {
    height: 500px;
    width: 260px;
    /* Set the width of the sidebar */
    position: fixed;
    /* Fixed Sidebar (stay in place on scroll) */
    z-index: 1;
    /* Stay on top */
    top: 0;
    /* Stay at the top */
    left: 0;
    overflow-x: hidden;
    /* Disable horizontal scroll */
    padding-top: 110px;
    margin-left: 170px;
}

h1 {
    margin-top: var(--spacing-unit);
    font-size: var(--font-size-heading);
    color: var(--projectstitle);
    font-family: var(--font-family);
    font-size: 4em;
    padding-bottom: 20px;
}

a,
h2 {
    text-decoration: none;
    color: var(--primarytext-color);
    font-family: var(--font-family);
    font-size: 1em;
}

li{
    padding: 10px;
}


.project-card, img{
    justify-items: center;
    width: 551px;
    height: 400px;
    margin-top: 10px;
}

.project-card{
    background-color: rgb(1, 6, 20);
    width: 700px;
    height: 620px;
    padding-top: 30px;
    padding-bottom: 30px;
}

.APProjects {
    display: flex;
    flex-wrap: wrap;
     align-content: center;
     margin-left: 600px;
     margin-top: 20px;
     margin-bottom: 30px;
     
}

h3 {
    text-decoration: none;
    color: var(--textnonactive);
    font-family: var(--font-family);
    font-size: 1.15em;
    padding-top: 8px;
}

p {
    text-decoration: none;
    color: var(--primarytext-color);
    font-family: var(--font-family);
    font-size: 0.85em;
    padding-top: 8px;
    width: 450px;
    line-height: 1.4;
    text-align: center;
}


.gradientcontainer {
    height: 110vh;
    width: 100vw;
    position: absolute;
    margin: auto;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    overflow: hidden;
    z-index:-1;
    --background-color: rgba(16, 25, 32, 1);

}

.gradientcontainer div {
    --background-color: rgba(16, 25, 32, 1);
    position: absolute;
    top: 0;
    left:0;
    z-index: -1;
    animation: gradient 3s infinite;
}

@keyframes gradient {
    50% {
        transform: scale(1.2) translate(50px);
    }
}

.gradientcontainer div:nth-child(1) {
    height: 90%;
    width: 80%;
    background-color: #020305;
    left: -29%;
    top: -10%;
    animation-delay: 1.5s;

}

.gradientcontainer div:nth-child(2) {
    height: 80%;
    width: 70%;
    background-color: #090d1f;
    left: -12%;
    top: 62%;
    animation-delay: 2s;
}

.gradientcontainer div:nth-child(3) {
    height: 65%;
    width: 80%;
    background-color: #02081a;
    left: -15%;
    top: -20%;
    animation-delay: 0.3s;
}

.gradientcontainer div:nth-child(4) {
    height: 40%;
    width: 75%;
    background-color: #090d1f;
    left: -10%;
    top: -12%;
    animation-delay: 1.2s;
}

.gradientcontainer div:nth-child(5) {
    height: 100%;
    width: 45%;
    background-color: #4a5685;
    left: 50%;
    right: 80%;
    top: -10%;
    animation-delay: 3.5s;
}

.gradientcontainer div:nth-child(6) {
    height: 90%;
    width: 90%;
    background-color: #09313d;
    left: 10%;
    top: 45%;
    animation-delay: 1s;
}

.gradientcontainer::after {
    position: absolute;
    content: "";
    height: 100%;
    width: 100%;
    backdrop-filter: blur(80px);
}

.gradientcontainer div:nth-child(7) {
    height: 60%;
    width: 55%;
    background-color: #090d1f;
    left: 50%;
    top: -10%;
    animation-delay: 0.5s;
}

@media screen and (max-width: 1342px) {
.APProjects{
    margin-left: 380px;
    display: flexbox;
}

.textleft{
    margin-left: 90px;
}
}


@media screen and (max-width: 1200px) {
    .textleft {
    margin-left: 50px;
    }
    .textleft h1 {
        font-size: 3.8em;
    }
    .APProjects {
        width: 100%;
        display: flexbox;
    }
}

@media screen and (max-width: 1100px) {
    .textleft {
        margin-left: 30px;
        }
        .textleft h1 {
            font-size: 3.5em;
        }
        .APProjects{
        width: 100%;
        margin-left: 270px;
        }
        .gradientcontainer {
            height: 150vh;
}
@media screen and (max-width: 988px) {
    .project-card {
        width: 100%;
        max-width: 500px;
        max-height: 520px;
    }
    
.project-card img{
    justify-items: center;
    width: 451px;
    height: 300px;
    margin-top: 10px;
}

    .textleft {
        margin-left: 20px;
    }

    .textleft h1 {
        font-size: 3.1em;
    }
    .gradientcontainer {
        height: 120vh;
    }
}

@media screen and (max-width: 793px) {
    .textleft {
            width: 25vw;
            position: fixed;
            margin-left: 20px;
            margin-top: 70px;
            padding-top: 70px;
    }

    header {
        justify-content: center;
    }

    nav ul {
        font-size: 1.1em;
        justify-content: space-evenly;
        gap: 0;
    }

    .textleft h1 {
        font-size: 2.8em;
    }

    .project-card {
        width: 100%;
    }

    .img{
        width: 80%; /* Allow the image to scale with the container */
        height: auto; /* Maintain aspect ratio */
        max-width: 80%; /* Prevent the image from exceeding the card's width */
        margin-top: 10px;
       align-items: center;
        }
        .APProjects{
            margin-left: 220px;
        }
    }
}

@media screen and (max-width: 726px) {
    .APProjects{
        margin: auto;
        display: inline;
        justify-content: center;
    }

    .textleft {
        position: inherit;
        width: 100%;
        height: auto;
        margin: 0;
        padding-bottom: 10px;
        padding-top: 5px;
        text-align: center;
    }
    .project-card {
        width: 100%;
        align-items: center;
        margin: auto;
    }
    .gradientcontainer {
        height: 160vh;
    }
}


@media screen and (max-width: 494px) {
    .textleft h1 {
        font-size: 2.3em;
    }

    .APProjects {
        margin: auto;
        width: 90%;
        display: flex;
        justify-items: center;
    }

    .project-card {
        width: 90%;
        justify-items: center;
        margin: auto;
        height: 80%;
    }

    .project-card img{
    width: 75%; /* Allow the image to scale with the container */
    height: auto; /* Maintain aspect ratio */
    max-width: 80%; /* Prevent the image from exceeding the card's width */
    margin-top: 10px;
    align-items: center;
    display: flex;
    }
 p{
        font-size: 0.875em;
        display: flex;
        text-align: center;
        max-width: fit-content;
    }

    h3{
        padding-top: 20px;
    }

    .gradientcontainer {
        height: 150vh;
        width: 100%;
    }
}



@media screen and (max-width: 320px){
    header {
        justify-content: center;
    }

   nav ul{
    font-size: 0.8em;
       justify-content: space-evenly;
       gap: 0;
    }

    h1{
        font-size: 2.3em;
    }

    .textleft{
        position:inherit;
        width: 100%;
        height: auto;
        margin: 0;
        padding-bottom: 10px;
        padding-top: 10px;
        text-align: center;
    }
    .gradientcontainer {
        height: 130vh;
        width: 100%;
    }
}
